/*
 * Demo.h
 *
 *  Created on: 02.03.2011
 *      Author: stefan.detter
 */

#ifndef DEMO_H_
#define DEMO_H_

#include <QObject>
#include <QPixmap>
#include <QIcon>

#include <def.h>

class ModelData;
class QrfeReaderManager;

class Tool
{
public:
	Tool(QString name, ModelData* modelData);
	virtual ~Tool();

public:
	QString 		name() const;

	virtual QPixmap	icon();

	virtual bool 	execTool() = 0;

private:
    QString 			m_name;

protected:
    ModelData*			m_modelData;
};

#endif /* DEMO_H_ */
